Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.dcd.graph
Class ConstructorNode

    java.lang.Object
      net.sourceforge.pmd.dcd.graph.MemberNode<ConstructorNode,java.lang.reflect.Constructor<?>>
          net.sourceforge.pmd.dcd.graph.ConstructorNode

All Implemented Interfaces:
  java.lang.Comparable<ConstructorNode>, NodeVisitorAcceptor

    public class ConstructorNode

extends MemberNode<ConstructorNode,java.lang.reflect.Constructor<?>>

Represents a Class Constructor in a UsageGraph.

Field Summary

Fields inherited from class net.sourceforge.pmd.dcd.graph.MemberNode
`classNode, desc, name`

Constructor Summary
`ConstructorNode(ClassNode classNode, java.lang.String name, java.lang.String desc)`

Method Summary
`int` | `compareTo(ConstructorNode that)`
`boolean` | `equals(java.lang.Object obj)`
`java.lang.reflect.Constructor<?>` | `getMember()`
`boolean` | `isInstanceInitializer()`
`boolean` | `isStaticInitializer()`
`java.lang.String` | `toStringLong()`

Methods inherited from class net.sourceforge.pmd.dcd.graph.MemberNode
`accept, addUse, addUser, equals, equals, getClassNode, getDesc, getName, getUsers, getUses, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConstructorNode

    public ConstructorNode(ClassNode classNode,
                           java.lang.String name,
                           java.lang.String desc)

Method Detail

### isStaticInitializer

    public boolean isStaticInitializer()

### isInstanceInitializer

    public boolean isInstanceInitializer()

### getMember

    public java.lang.reflect.Constructor<?> getMember()

  Specified by:
    `getMember` in class `MemberNode<ConstructorNode,java.lang.reflect.Constructor<?>>`

### toStringLong

    public java.lang.String toStringLong()

  Overrides:
    `toStringLong` in class `MemberNode<ConstructorNode,java.lang.reflect.Constructor<?>>`

### compareTo

    public int compareTo(ConstructorNode that)

### equals

    public boolean equals(java.lang.Object obj)

  Specified by:
    `equals` in class `MemberNode<ConstructorNode,java.lang.reflect.Constructor<?>>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2009 InfoEther. All Rights Reserved.